:root {
  --entrada-blue: #282544;
  --entrada-green: #648F50;
  --primary-color: #f7f7f7;
  --secondary-color: #212121;
  --lightgrey: #efefef;
  --darkgrey: #646464;
  --navbg: #ffffff;
  --navcol: var(--entrada-blue); 
  --linkcol: #000;
}
/* root variables cannot be used in media queries so here for reference only:
  36em/57.6rem phone (Small devices (landscape phones, 576px and up)
  48em/76.8rem tablet (Medium devices (tablets, 768px and up)
  62em/99.2rem desktop (Large devices (desktops, 992px and up)
  75em/120rem large desktop (Large devices (desktops, 1200px and up)
  120em/192rem Pro/designer desktop (Large devices (desktops, 1920px and up, e.g. most pro design screens) 
*//* Note: We use a mix of "em" and "rem" dimensions throughout this css. 
Therefore adjusting body font size will alter any media queries and other dimensions that are based on "em". 
Feel free to change but be aware of possible unintended consequences :)  */

.body {
  font-family: "Dosis", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-size: 1.6rem;
  color: var(--entrada-blue);
}
.lead {font-size:1.3em;}

.center {text-align:center;}

small {font-weight: 300;}/* ---------------------------------
    Navbar styles 
   --------------------------------- */
.navbar-section {
  padding-top: 0;
  padding-bottom: 0;
  /* navbar account name color */
  color: var(--navcol);
  /* navbar color */
  background-color: var(--navbg);
  /* navbar border at the bottom */
  border-bottom: 1px solid var(--primary-color);
  font-weight: 700;
}

/* navbar icons text color */
.navbar-section .selection-count,
.navbar-section .avatar-user-dropdown{
  color: var(--navcol);
}

/* navbar user dropdown border color */
.navbar-section .avatar-user-dropdown{
  border-color: var(--navcol);
}

/* hamburger menu for mobile */
svg.hamburger-menu g path {stroke:var(--navcol);}

/* navbar icons color */
.navbar-section .svg-stroke path,
.navbar-section .svg-stroke line {
  stroke: var(--navcol);
}
/* my profile circular border */
.navbar-section .avatar-user-dropdown {
	border-color: var(--navcol);
}

/* navbar icons color */
.navbar-section .svg-fill path{
  fill: var(--navcol);
}

/* navbar icon text color */
.nav-icon-text {
    color:var(--navcol);
}

/* navbar links */
.navbar-section-content a { 
  color: var(--navcol);
}

/* Hide logo and account name on mobile */
.account-logo .logo {
  display: none; 
  max-height: 4rem;
}

.account-logo-mobile {
    left: auto;
    top: auto;
    width: auto;
    height: 4rem;
}

span.account-name {
  font-size: 1.6rem;
  display: none;
}


@media (min-width: 62em) {
  /* Adjust height and spacing for logo on desktop */
  .navbar-section {
    height: 10rem;
  }
  /* spacing to fit nav items without moving under logo */
  .navbar-section-content {
    gap: 2rem;
    margin-left: auto;
  }
  .account-logo .logo,
  span.account-name {
    display:block;
    max-height: 8rem;
    padding:0.5em 0;
  }	
  /* user menu */
  .user-actions {
    position: absolute;
    display: flex;
    align-items: center;
    margin-left: auto;
    padding: 2rem 2rem 0;
    height: auto;
    top: 10rem;
    right: 4rem;
    background-color: var(--entrada-blue);
    color: #fff;
  }
  
  .user-dropdown-options {margin: 0;}

  .navbar-section .avatar-user-dropdown {
    border-color: #fff;
    color: #fff;
  }
  
  .navbar-section .selection-count {color: inherit;}
}

@media (min-width: 75em) {
  .navbar-section-content {
    gap: 4rem;
    margin-right: 4rem;
  }
}

nav.breadcrumb-section {display: none;}

#body.Static nav.breadcrumb-section {display: block;}

#body.Static nav.breadcrumb-section.my-history {visibility: hidden;}.footer-section {
  background-color: #fff;
  color: var(--entrada-blue);
  font-weight: 400;
}

.footer-top {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 3rem;
}
.footer-top article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}
.footer-top article ul {list-style:none;}
  
.footer-top article li, .footer-top article p {
  width:100%;
  display:block;
  text-align:center;
  line-height:5rem;
}
.footer-top article li a {text-decoration:none;}


@media (min-width:62em) {
  .footer-top {
    grid-template-columns: 1fr 1fr;
  }
  .footer-top article:nth-child(2) p {text-align:right;}
  .footer-top article li {
    padding-right:2rem;
    margin-right:1rem;
    width:fit-content;
    text-align:left;
    display:inline-block;
  }
  .footer-top article li:last-child {border:none;}
  .footer-top-section-left {
	width: auto;
	text-align: left;
	}
  .footer-top-section-right {
  width: auto;
  text-align: right;
  }
}

.footer-top-section-left, 
.footer-top-section-right {color: inherit;}

.powered-by-brandkit {color: var(--entrada-blue);}
.powered-by-brandkit:hover {color: var(--entrada-blue); opacity: 0.7; text-decoration: underline;}
/* ---------------------
   Main Elements
   --------------------- */
.body {
  background-color: var(--primary-color);
}

/* TOP SPACE */
.main {margin-top: 7rem;}
.preview-mode .main {padding-top: 6rem;}

@media screen and (min-width: 62em) {
  .main {
    margin-top: 10rem;
  }
  
  /* Add space for user actions menu - except on index */
  body .main {
    padding-top: 6rem;
  }
  #index .main,
  body.Static .main,
  #contact .main {
    padding-top: 0;
  }
  
  body.preview-mode .main {padding-top: 12rem;}
  #index.preview-mode .main, 
  body.Static.preview-mode .main,
  #contact.preview-mode .main {padding-top: 6rem;}
}

#body.ProfileView {padding-top: 6rem;}

.welcome-paragraph {
  font-size:2rem;
}

mark {
	padding: 1rem 2rem;
	background-color: #f9d147;
    color: black;
}

/* fix code wrapping on mobile */
pre {
font-family: monospace,monospace;
font-size: 1em;
max-width: 100%;
overflow: auto;
white-space: normal;
}

/* ----------------
   Search widget
   ---------------- */

.search-section {
  max-width: 120rem;
  margin: 5rem auto; 	
}

.desktop .search-box-component {
    width: 50%;
}

.search-label{
  display: none;
}

.search-box-content-text {
  position: absolute;
  bottom: 2rem;
  left: 4rem;
  text-align: left;
}

.caption {
  position: relative;
  z-index: 1;
  text-decoration: none;
  opacity: 0.7;
}

.caption:hover {opacity: 1;}

@media screen and (max-width: 36em) {.search-box input{font-size: 80%;}}

/* Styles for the 'assets-button' */
.assets-button {
  content: '';
  background-color: var(--entrada-blue);
  position: absolute;
  right: -1px;
  top: -1px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 6rem;
  min-width: 6rem;
  padding: 1rem 2rem;
  cursor: pointer;
  color: #fff;
  background-image: url('data:image/svg+xml;charset=utf8,%3Csvg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" width="100" height="100" viewBox="0 0 50 50" fill="%23fff"%3E%3Cpath d="M 21 3 C 11.601563 3 4 10.601563 4 20 C 4 29.398438 11.601563 37 21 37 C 24.355469 37 27.460938 36.015625 30.09375 34.34375 L 42.375 46.625 L 46.625 42.375 L 34.5 30.28125 C 36.679688 27.421875 38 23.878906 38 20 C 38 10.601563 30.398438 3 21 3 Z M 21 7 C 28.199219 7 34 12.800781 34 20 C 34 27.199219 28.199219 33 21 33 C 13.800781 33 8 27.199219 8 20 C 8 12.800781 13.800781 7 21 7 Z"%3E%3C/path%3E%3C/svg%3E');
  background-size: 50%;
  background-repeat: no-repeat;
  background-position: center;
}

/* Hover effect */
.assets-button:hover {
  background-color: var(--entrada-green);
}

/* filters */
.filters {
  justify-content: center;
}

.filter-options .filter-option:hover {
  color: #fff;
  background-color: var(--entrada-green);
}

.filter-options .filter-option.selected {
  font-weight: bold;
  background-color: transparent;
  color: #111;
}

.filter-button:hover {
  background-color: var(--entrada-green);
}

.search-grid-section .page-actions, 
.search-grid-section .grid, 
.search-grid-section .assets-pagination {
  background-color: var(--primary-color);
  padding-bottom:4rem;  
}
.change-grid-view .icon-text {
display: none;
}

.file-icon::before{
  border-color: var(--primary-color) var(--primary-color) rgba(255, 255, 255, .3) rgba(255, 255, 255, .35);
}

/* ----------------
   Masonry view 
   ----------------- */
.masonry-asset {
  margin-bottom: 2rem;
  background-color: white;
  padding: 0;
  float: left;
}
.masonry-asset:hover {opacity:0.6;}
.masonry-asset .asset-grid-icon {position:relative;}
.masonry-asset .asset-grid-name {margin-left:0;}

/* ------------
Feed view 
---------------- */
.feed-view .asset-name {
	text-align:left;
  	justify-content:left;
}
.feed-view .asset-grid-name {
  font-size: 1.2em;
  text-align:left;
  font-weight:bold;
}
.feed-view .feed-asset-type-icon {display:none;}

/* ------------
   Gallery 
   ------------ */

/*-- Mobile --*/
.gallery-link,
.gallery-image {
  height: 8rem;
}

/*-- Desktop --*/
@media (min-aspect-ratio: 1/1) {
  .gallery-link,
  .gallery-image {
    height: 16rem;
  }
}


/* --------------
   Home Page 
   -------------- */
.intro-logo {
	max-width:20rem;
}


/* custom social links article */
.social-links {margin-top:5em;}
.social-links a {font-size:2rem;padding:1rem 2rem;}
/* end */

/* fix download form terms field separation issue */
.form-checkbox.terms {
margin: 5rem 0;
}/* Grid assets and Asset details page */

/* content additions */
.asset-info span:not(.asset-id, .asset-source):before,
.AssetView .asset-size:before,
.AssetView .asset-dimensions:before,
.AssetView .asset-word-count:before {
  content: ' • ';
}

.AssetView .asset-latitude:before {
  content:'Latitude: ';
}

.AssetView .asset-longitude:before {
  content:'Longitude: ';
}

.asset-source:before {
  content: 'src: ';
}

.asset-licence-value:before {
  content: ' -';
  margin-right: 0.5rem;
}

/* Hidden */
.asset-details-section .asset-type,
.asset-tags-title,
.asset-size-title,
.asset-dimensions-title,
.asset-created-at,
.asset-id-title,
.asset-licence-title,
.asset-word-count-title,
.collections-section-title {
  display: none;
}

/* Layout */

.asset-page-wrapper {
  padding: 2rem 2em;
}
@media (min-width:768px) {
  .asset-page-wrapper {
    padding: 8rem 6em;
  }
}

.asset-page-wrapper .section {
  padding: 1rem 0;
}

.asset-details-section {
  display: flex;
  flex-wrap: wrap;
  column-gap: 0.5rem;
  row-gap: 0.9rem;
}

.asset-details-section article {
  flex: 0 0 100%;
}                                                                                                       

.asset-details-section .asset-size,
.asset-details-section .asset-dimensions,
.asset-details-section .asset-extension,
.asset-details-section .asset-id,
.asset-details-section .asset-word-count {
  flex: 0 0 auto;
}

.related-assets-section {
  border-top: 1px dotted color-mix(in srgb, var(--color-body-text) 20%, transparent);
  padding-bottom: 4rem;
}

/* Grid area ordering */ 

.AssetView .asset-name {
  order: 1;
  width: 100%;
}

.AssetView .asset-type-icon {
  order: 2;
}

.AssetView .asset-id {
  order: 3;
}

.AssetView .asset-word-count {
  order: 4;
}

.AssetView .asset-size {
  order: 5;
}

.AssetView .asset-dimensions {
  order: 6;
}

.AssetView .asset-description {
  order: 7;
}

.AssetView .asset-ai-description {
  order: 7;
}

.AssetView .asset-licence {
  order: 8;
}

.AssetView .asset-terms-of-use {
  order: 9;
  padding-bottom: 1rem;
}

.AssetView .asset-expiry-date {
  order: 10;
}

.AssetView .asset-created-at {
  order: 12;
}

.AssetView .asset-credit {
  order: 13;
}

.AssetView .asset-usage {
  order: 14;
}

.AssetView .asset-reference {
  order: 15;
}

.AssetView .asset-account {
  order: 15;
}

.AssetView .asset-location {
  order: 16;
}

.asset-page-wrapper {
  grid-template-areas: "breadcrumb breadcrumb breadcrumb" "proxy proxy proxy" "details details details"  "tags tags tags" "actions actions actions";
}
.asset-page-wrapper.post {
  grid-template-areas: "breadcrumb breadcrumb breadcrumb" "proxy proxy proxy" "tags tags tags" "actions actions actions";
}

@media (min-width:36em) {
  .asset-page-wrapper .section {padding: 0;}
  .asset-page-wrapper .asset-tags-section {padding: 3rem 0;}
  .asset-proxy-section {margin-right: 5rem;}
  .asset-page-wrapper {
    grid-template-areas: "breadcrumb actions actions" "proxy proxy details" "proxy proxy tags";
  }
  .asset-page-wrapper.post {
    grid-template-areas: "breadcrumb actions actions" "proxy proxy proxy" "tags tags tags";
  }
}
/* Sign Up Page styles */
.new-account-section .form-section {
  background-color:transparent;
  padding:0;
}

.new-account-hint {font-size:2.5rem;}

.new-account-section .form-section form {
  background-color:antiquewhite;
  border-radius:1em;
  padding:1em;
}

@media screen and (min-width: 75em) {
  .new-account-section .form-section {
    width: 33vw;
    min-width:30em;
    margin:1em auto;
    background-color:transparent;
  }
  .new-account-section .form-section form {
    background-color:antiquewhite;
    border-radius:1em;
    padding:2em;
  }
  .new-account-section .new-account-embeded-image {
    padding:3rem;
    max-width:66vw;
  }
  blockquote {padding:2em;}
  blockquote span {
    display:block;
    width:100%;
    font-size:2.2rem;
    font-weight:bold;
  }
  blockquote cite {
    display:block;
    width:100%;
    font-size:1em;
    text-align:center;
  }	
  .signup-faq {
    margin:2.5%;
    text-align:left!important;
    padding-top:1em;
  }
}
.desktop {display:none;}

@media screen and (min-width: 62em){
  .desktop {display:block;}
  .mobile {display:none;}
}

/* faq styles */
dl {
  column-count: 1;
  column-gap: 0rem;
}

.fw dl {
  column-count: 1;
  column-gap: 0rem;
}
@media (min-width:48em) {
  dl {
    column-count: 2;
    column-gap: 5rem;
  }
  .fw dl {
    column-count: 3;
    column-gap: 5rem;
  }
}

dt {font-weight:bold;}
dt.subtitle {
  border-bottom: 2px solid #000;
  margin:2rem 0;
}
dt.subtitle:first-child {
  border-bottom: 2px solid #000;
  margin:0 0 2rem 0;
}
dd {margin-bottom:1rem;}
.bk-wall .brandkit-logo,
.bk-wall .logo {
  max-height: 20rem;
}

@media screen and (min-width: 36em) {
  .bk-wall {
    margin: 10em auto 4em auto;
    padding:3rem 6rem
  }
}

@media screen and (min-width: 48em) {
  .bk-wall {
    margin: 10em 4em;
  }
}
.reset-password-section {
  background-color:#fff;
  width:fit-content;
  margin:0 4em;
}/* full width section */
.fw {padding:4em 0;}

@media (min-width:77rem) {
  .fw {
    width:100vw;
    padding:4em 0;
  } 
}

/* full height section */
.fh {
  padding-top:0;
  padding-bottom:0;
}

/* two column grids used throughout site */
.two-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap:2em;
}
.two-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}
/* Tablet Breakpoint 768px / 16px = 48em */
@media (min-width:48em) {
  .two-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 6em;
    grid-row-gap:6em;
  }
  .two-col-grid h1, .two-col-grid h2 {
  }
}  
/* end 2 col grid */

/* 3 column grids used throughout site */
.three-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap: 2em;
}
.three-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}

/* Tablet Breakpoint 768px / 16px = 48em */
@media (min-width:48em) {
  .three-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 4em;
    grid-row-gap:4em;
  }
}
/*  Desktop Breakpoint 1200px / 16px = 75em*/ 
@media (min-width:75em) {
  .three-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 4em;
    grid-row-gap:4em;
  }
  .three-col-grid h1, .three-col-grid h2 {
  }
}  
/* end 3 col grid */

/* 4 column grids used throughout site */
.four-col-grid {
  display:grid;
  grid-template-columns: 1fr;
  grid-auto-rows: minmax(min-content, max-content);
  grid-column-gap: 2em;
  grid-row-gap: 2em;
}
.four-col-grid article {
  display:grid;
  grid-auto-rows: minmax(min-content, max-content);
}
/*  Desktop Breakpoint 768px / 16px = 48em */ 
@media (min-width:48em) {
  .four-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 2em;
    grid-row-gap:2em;
  }
}
/*  Desktop Breakpoint 1200px / 16px = 75em */   
@media (min-width:75em) {
  .four-col-grid {
    display:grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-column-gap: 2em;
    grid-row-gap:2em;
  }
}  
/* end 4 col grid */
section .intro, #intro {
  text-align:center;
  padding-bottom:3rem; /* reset padding on sections */
}

section.bluebg {
  background-color: var(--entrada-blue);
  color: #fff;
}

section.blackbg {
  background-color: #121212;
  color: #fff!important;
}
section.whitebg {
  background-color: #fff;
  color: #000!important;
}
.search-grid-section .assets-pagination {
    padding-bottom: 2rem; /* reset padding on sections */
}
/* reset section padding on occasion */
.tight-bottom {padding-bottom:0;}
.tight-top {padding-top:0;}
.tight-left {padding-left:0;}
.tight-right {padding-right:0;}

/* html section */
.html-section {
  width:100vw;
  padding-top:3rem;/* reset padding on sections */
  padding-left:2em;
  padding-right:2em;
  padding-bottom:3rem;/* reset padding on sections */
}
.html-section img {margin:2em auto;}
.html-section p img {margin:0 auto;}
.html-section:first-child {padding-top: 6rem;}

@media (min-width:62em) {
  .html-section {
    padding-left:3em; 
    padding-right:3em;  
  }
}  
@media (min-width:75em) {
  .html-section {
    padding-left:calc(50vw - 34.5em); 
    padding-right:calc(50vw - 34.5em);   
  }
}  
@media (min-width:120em) {
  .html-section {
    padding-left:calc(50vw - 45em); 
    padding-right:calc(50vw - 45em);  
  }
}

/* show the Search label and the And/Or toggle in the Search Grid - check render colour in each theme */
label.search-label {display:block;}.button,
.normal-button {
  color: #fff;;
  background-color: var(--entrada-blue);
  padding: 1rem 2rem;
}
.cancel-button, .cancel-my-account-button, .danger-button {
  color:red; 
  text-decoration:underline; 
  background-color:#fff;}

.button-with-border {
  color: #000;;
  background-color: #fff;
  border: 1px solid #000;
}
.edit-profile-button {
  width:100%;
}
.normal-button.save-profile-changes-button,
.normal-button.save-profile-changes-button  {
  padding: 1rem 2rem;
}

a:hover,
.asset-add-to-basket-button:hover,
.clear-search-btn:hover {
  opacity:0.6;
}/* Albums widget */
.albums-grid .album {
  aspect-ratio: 3 / 2; /* sets aspect ratio of album covers consistently when height is calculated */
  width: 100%;
  height: -webkit-fit-content;
}

.albums-grid .album-cover, .albums-horizontal-grid .album-cover {
  min-height: auto; 
}

.album-cover, .album-with-no-cover {
  border: none;
}

.album-cover:hover, .album-with-no-cover:hover {
  border: none;
}

/* new album select state */
a.album-selected {
  border: none;
  box-shadow: none;
}
a.album-selected img, a.album-selected div.album-with-no-cover,
a.album-selected img:hover, a.album-selected div.album-with-no-cover:hover {
  border: 5px solid var(--entrada-green);
  box-shadow: 0 15px 25px 1px #ccc;
}
a.album-selected span.album-title {
  color:#000;
  font-weight:bold;
}
/* end album select state */

.albums-horizontal-grid .album-wrapper {
  padding: 4rem 2rem 0;
  grid-gap: 2rem;
}

section.albums-section {
  padding: 2rem;
}

/* tablet - rows of two */
@media screen and (min-width: 48em) {
  .albums-grid .album {width: calc(50% - 1rem);}
}

/* desktop - rows of three */
@media screen and (min-width: 62em) {
  .albums-grid .album-wrapper {
	max-width: 100%;
    flex-wrap: wrap;
    justify-content: flex-start;
    padding: 2rem;
    gap: 1rem;
  }

  .albums-grid .album {
    width: calc((100% - 2rem)/3);
  }
  
  .albums-horizontal-grid .album-wrapper {
	max-width: 100%;
    grid-gap: 4rem;
    overflow-wrap: normal;
    flex-wrap: wrap;
  }
}

/* hidden title */
.albums-grid .album-title {display: none;}

.albums-header {padding-bottom: 0; margin: -1px 0;}
.albums-header h2 {margin-bottom: 0; padding: 0;}